# sp 02 07 04
#
# remove-dimensions.rb <num of dims> infile outfile
#
# removes dimensions of vector file

if ARGV.length != 3 
  raise "Error: Wrong number of arguments. Usage: remove-dimensions.rb <num of dims> infile outfile"
end

dims = ARGV[0].to_i

infile = File.new(ARGV[1])
outfile = File.new(ARGV[2],"w")

firstline = true

while (line = STDIN.gets)
  split = Array.new
  if firstline == true 
    split = line.split("\t")
    unless split.length > 1 # no BE line
      split = line.split(" ")
    end
    if dims > split.length
      raise "Error: Num of dims too high ("+dims.to_s+"). Only "+split.length.to_s+" BEs found."
    else
      outfile.puts dims[0,dims].join("\t")
    end
  else # all other lines
    split = line.split(" ")
    if dims > split.length-1
      raise "Error: Num of dims too high ("+dims.to_s+"). Only "+split.length.to_s+" dimensions found."
    else
      outfile.puts dims[0,dims+1].join(" ")
    end
  end
end

infile.close
outfile.close
