/**
   class FreelingEncoding 

   This class has been created by Raquel Garrido Alhama.
   
   This file is an extension of the DependencyVectors v2 distribution.
   
   DependencyVectors is free software; you can redistribute it
   and/or modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later
   version.
   
   DependencyVectors is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied
   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with DependencyVectors; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

**/

package de.ims.cl.dv.parsers;

public class FreelingEncoding extends Encoding {
    
    /** Encoding for Freeling lemmas
        Attention: this might be applied more than once!
        Thus it must hold that encode^1(s) = encode^n(s) **/
    
    public String encode(String s) {
	
	String new_s; 
	
	new_s = new String(s);
	
	new_s = new_s.replaceAll(":","_COLON_");
	new_s = new_s.replaceAll("\t","_TAB_");
	new_s = new_s.replaceAll("\"","");
	new_s = new_s.replaceAll(" ","_");
	new_s = new_s.replaceAll("`","_BACKTICK_");
	new_s = new_s.toLowerCase();

	return new_s;
    }
}