/**
   class DVIOHelpers

   Copyright (C) 2002-4 Sebastian Pado
   
   This file is part of the DependencyVectors v2 distribution.
   
   DependencyVectors is free software; you can redistribute it
   and/or modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later
   version.
   
   DependencyVectors is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied
   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with DependencyVectors; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

**/

package de.ims.cl.dv.util;

import java.io.*; 

/** This class contains small helper functions that are the same in
 * each of the three executables. In order to keep the code coherent
 * and small, they have been moved to this auxiliary class, which only contains static methods **/

public class DVIOHelpers {

    /** Opens a file, writes the string to it, closes the file. **/
    
    public static void writeToFile(String filename, String string) throws IOException {
	PrintWriter file = new PrintWriter(new BufferedWriter (new FileWriter(filename)));
	file.print(string);
	file.close();
    }

    /** Tests if the given filename is good for writing by creating a file there and erasing it afterwards. **/

   public static void testLocation(String filename) throws IOException {	
	new File(filename).createNewFile();
	if (!(new File(filename).canWrite())) {
	    throw new IOException("Cannot write file "+filename+".");
	} else {
	    new File(filename).delete(); }
    }

    /** Creates a filename by combining the name of a context specification and the name of a path value function. **/ 

    public static String affix(String cs,String val) {
	return cs+"_"+val;
    }

}
