package de.ims.cl.dv.util;

import java.io.*;
import java.net.URL;
import java.net.URLClassLoader;
import java.util.*;

import de.ims.cl.dv.ExtractBasisElements;



public class RelMapping {
    
    public Map<String,String> mapping = new HashMap<String,String>();

    public String lookup(String key) {
        if (this.mapping.containsKey(key)) {
            // DEBUG
            // System.out.println("FOUND REL KEY: '" + key + "'");
            // DEBUG
            // System.out.println("FOUND REL VAL: '" + this.mapping.get(key) + "'");
            return this.mapping.get(key);
            
        }
        return key;
    }
    
    public RelMapping(String mappingName) {
        // DEBUG
        // System.out.println("LOADING RELMAP FILE");
        
        try {
        	
        	URLClassLoader classLoader = (URLClassLoader)ExtractBasisElements.class.getClassLoader(); // get access to class path
	          
            System.err.println("Loading rel mapping from "+mappingName+".");
            URL resourcePath = classLoader.getResource(mappingName);
            if (resourcePath == null) {
            	System.err.println("Error: Context specification "+mappingName+" not found.");           
            	System.exit(0); }       
              
            String filename = classLoader.getResource(mappingName).getFile();
            FileReader input = new FileReader(filename);
            BufferedReader bReader = new BufferedReader(input);
            String currentLine = bReader.readLine();
            String[] pair;
            Integer counter = 0;
            while(currentLine != null){
                counter++;
                // DEBUG
                // System.out.print("counter =");
                // DEBUG
                // System.out.println(counter);
                if (currentLine.startsWith("#")){
                    currentLine = bReader.readLine();
                    continue;
                }
                pair = currentLine.split("  ");
                if (pair.length == 2){
                    this.mapping.put(pair[0], pair[1]);
                    // DEBUG
                    // System.out.println("REL PUT '" + pair[0] + "' -> '" + pair[1] + "'");
                } else if (pair.length == 1) {
                    // we don't care about this rel
                    this.mapping.put(pair[0], pair[0]);
                }
                currentLine = bReader.readLine();
            }
        }
        catch(FileNotFoundException e){
            // DEBUG
            // System.out.println("RELmapping file not found");
            // DEBUG
            // System.out.println(e);
        }
        catch(IOException e){
            // DEBUG
            // System.out.println("IOerror");
        }

    }
    
    public static void main (String [] args)
    {
        // DEBUG
        // System.out.println("I AM RELMAPPING!");
    }
}